org.eclipse.actf.model.dom.odf.content

## Interface IEditable

All Known Subinterfaces:
  AElement, CellRange, DescElement, HElement, IContentRange, NotesElement, PElement, SectionElement, SequenceElement, TableCellRange, TextRange, TitleElement, TitleElement

    public interface IEditable

ODF elements that have text contents should implements this interface.

### Method Summary

Methods
`void` `addEditListener(IEditListener observer, String topic)`
`Object` `getValue()`
`void` `insert(IEditable data)`
`void` `remove()`
`void` `removeEditListener(IEditListener observer, String topic)`
`void` `setValue(Object data)`

### Method Detail

#### getValue

    Object getValue()

#### setValue

    void setValue(Object data)

#### remove

    void remove()

#### insert

    void insert(IEditable data)

#### addEditListener

    void addEditListener(IEditListener observer,
                       String topic)

#### removeEditListener

    void removeEditListener(IEditListener observer,
                          String topic)